Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class LibraryClass

    java.lang.Object
      rdlc.rdl.Declaration_Named
          rdlc.rdl.DynRoot_Standard
              rdlc.sw.Class
                  rdlc.sw.LibraryClass

All Implemented Interfaces:
  Declaration, DynRoot, Expression

    public class LibraryClass

extends Class

This class represents a class, which instead of being constructed dynamically is being loaded verbatim from a library file. The only major addition is that of the file from which to load the class contents.

Version:
  $Revision: 1.10 $
Author:
  Greg Gibeling

Nested Class Summary

Nested classes/interfaces inherited from interface rdlc.rdl.Expression
`Expression.Phase`

Field Summary
`protected java.util.List<Namespace.QualifiedIdentifier>` | `requires` A list of the classes which this one requires.
`protected java.lang.String` | `resourceName` The file from which to copy the class implementation.

Fields inherited from class rdlc.rdl.DynRoot_Standard
`instance, isLeaf, isRoot`

Fields inherited from class rdlc.rdl.Declaration_Named
`iName, namespace, rawStaticID`

Constructor Summary
`LibraryClass(java.lang.String _name, Namespace _namespace, Field.Access _access, java.lang.String _resourceName)` Simple constructor, merely records the arguments.

Method Summary
`void` | `addRequirement(Namespace.QualifiedIdentifier _requires)` Add a new requirement from the XML file.
`void` | `getRequirements(CatalogSet<Identifier<Declaration>> requirements)` For a dynamic root, we must also take the requirements of it's fields into account.
`java.io.InputStream` | `getResource()` Simple accessor.

Methods inherited from class rdlc.sw.Class
`toString`

Methods inherited from class rdlc.rdl.DynRoot_Standard
`getInstance, getLambdaName, isLeaf, isRoot, setNamespace, typeMatch`

Methods inherited from class rdlc.rdl.Declaration_Named
`getBase, getIdentifier, getNamedBase, getRawStaticID, getType, resolve, setRawStaticID`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface rdlc.rdl.Declaration
`getBase, getIdentifier, getNamedBase, getType, setRawStaticID`

Methods inherited from interface rdlc.rdl.Expression
`resolve`

Field Detail

### resourceName

    protected java.lang.String resourceName

  The file from which to copy the class implementation.

### requires

    protected java.util.List<Namespace.QualifiedIdentifier> requires

  A list of the classes which this one requires. This is parsed from the XML.

Constructor Detail

### LibraryClass

    public LibraryClass(java.lang.String _name,
                        Namespace _namespace,
                        Field.Access _access,
                        java.lang.String _resourceName)

  Simple constructor, merely records the arguments.

  Parameters:
    `_name` - The name of the class.
    `_namespace` - The namespace to put the class in,
    `_resourceName` - The name of the file to load the resource from.

Method Detail

### getResource

    public java.io.InputStream getResource()

  Simple accessor.

  Returns:
    An input stream from which the file can be read.

### addRequirement

    public void addRequirement(Namespace.QualifiedIdentifier _requires)

  Add a new requirement from the XML file.

  Parameters:
    `_requires` - The new requirement.

### getRequirements

    public void getRequirements(CatalogSet<Identifier<Declaration>> requirements)

  Description copied from class: `DynRoot_Standard`
  For a dynamic root, we must also take the requirements of it's fields into account.

  Specified by:
    `getRequirements` in interface `Expression`
  Overrides:
    `getRequirements` in class `DynRoot_Standard`
  Parameters:
    `requirements` - A list to which this will add the declarations upon which this one relies.
  See Also:
    `DynRoot_Standard.getRequirements(CatalogSet)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD